part of 'mobility_bloc.dart';

@immutable
sealed class MobilityEvent {}

class InitializeMobilityEvent extends MobilityEvent {
  InitializeMobilityEvent({required this.isInEditMode});

  final bool isInEditMode;
}

class ToggleCarAvailability extends MobilityEvent {
  ToggleCarAvailability(this.index);

  final int index;
}

class ToggleRelocationPossibility extends MobilityEvent {
  ToggleRelocationPossibility(this.index);

  final int index;
}

class SaveMobilityChanges extends MobilityEvent {}
